Index: voting/src/test/java/geniusweb/voting/CollectedVotesTest.java
===================================================================
--- voting/src/test/java/geniusweb/voting/CollectedVotesTest.java	(revision 25)
+++ voting/src/test/java/geniusweb/voting/CollectedVotesTest.java	(revision 26)
@@ -54,5 +54,5 @@
 			Collections.emptyMap());
 
-	private Votes votes = new Votes(partyP, Arrays.asList(votePA2));
+	private Votes votes = new Votes(partyP, Collections.singleton(votePA2));
 	private CollectedVotes cv2 = new CollectedVotes(
 			Collections.singletonMap(partyP, votes),
@@ -81,7 +81,7 @@
 	public void testGetAllBids() {
 		Map<PartyId, Votes> allvotes = new HashMap<>();
-		allvotes.put(partyP, new Votes(partyP, Arrays.asList(votePA2)));
-		allvotes.put(partyQ,
-				new Votes(partyQ, Arrays.asList(voteQA2, voteQB3)));
+		allvotes.put(partyP, new Votes(partyP, Collections.singleton(votePA2)));
+		allvotes.put(partyQ, new Votes(partyQ,
+				new HashSet<>(Arrays.asList(voteQA2, voteQB3))));
 
 		Map<Bid, Set<Vote>> allbids = new CollectedVotes(allvotes, allpowers)
@@ -129,9 +129,9 @@
 	public void testGetMaxAgreements() {
 		Map<PartyId, Votes> allvotes = new HashMap<>();
-		allvotes.put(partyP, new Votes(partyP, Arrays.asList(votePA2)));
-		allvotes.put(partyQ,
-				new Votes(partyQ, Arrays.asList(voteQA2, voteQB2)));
-		allvotes.put(partyR,
-				new Votes(partyR, Arrays.asList(voteRA4, voteRB2)));
+		allvotes.put(partyP, new Votes(partyP, Collections.singleton(votePA2)));
+		allvotes.put(partyQ, new Votes(partyQ,
+				new HashSet<>(Arrays.asList(voteQA2, voteQB2))));
+		allvotes.put(partyR, new Votes(partyR,
+				new HashSet<>(Arrays.asList(voteRA4, voteRB2))));
 
 		Map<Bid, Set<PartyId>> allagrees = new CollectedVotes(allvotes,
@@ -147,5 +147,5 @@
 	public void testGetNoAgreements() {
 		Map<PartyId, Votes> allvotes = new HashMap<>();
-		allvotes.put(partyP, new Votes(partyP, Arrays.asList(votePA2)));
+		allvotes.put(partyP, new Votes(partyP, Collections.singleton(votePA2)));
 		Map<Bid, Set<PartyId>> allagrees = new CollectedVotes(allvotes,
 				allpowers).getMaxAgreements();
@@ -216,8 +216,8 @@
 	public void testWith() {
 		Map<PartyId, Votes> allvotes = new HashMap<>();
-		allvotes.put(partyP, new Votes(partyP, Arrays.asList(votePA2)));
+		allvotes.put(partyP, new Votes(partyP, Collections.singleton(votePA2)));
 		CollectedVotes cv = new CollectedVotes(allvotes, allpowers);
 		assertEquals(1, cv.getVotes().keySet().size());
-		cv = cv.with(new Votes(partyQ, Arrays.asList(voteQA2)), 2);
+		cv = cv.with(new Votes(partyQ, Collections.singleton(voteQA2)), 2);
 		assertEquals(2, cv.getVotes().keySet().size());
 	}
@@ -226,9 +226,9 @@
 	public void testWithout() {
 		Map<PartyId, Votes> allvotes = new HashMap<>();
-		allvotes.put(partyP, new Votes(partyP, Arrays.asList(votePA2)));
-		allvotes.put(partyQ,
-				new Votes(partyQ, Arrays.asList(voteQA2, voteQB2)));
-		allvotes.put(partyR,
-				new Votes(partyR, Arrays.asList(voteRA4, voteRB2)));
+		allvotes.put(partyP, new Votes(partyP, Collections.singleton(votePA2)));
+		allvotes.put(partyQ, new Votes(partyQ,
+				new HashSet<>(Arrays.asList(voteQA2, voteQB2))));
+		allvotes.put(partyR, new Votes(partyR,
+				new HashSet<>(Arrays.asList(voteRA4, voteRB2))));
 
 		// give R extra power to reach the 4 if other 2 join
@@ -254,8 +254,8 @@
 		Vote S = new Vote(partyS, bidA, 2, 3);
 		Map<PartyId, Votes> allvotes = new HashMap<>();
-		allvotes.put(partyP, new Votes(partyP, Arrays.asList(P)));
-		allvotes.put(partyQ, new Votes(partyQ, Arrays.asList(Q)));
-		allvotes.put(partyR, new Votes(partyR, Arrays.asList(R)));
-		allvotes.put(partyS, new Votes(partyS, Arrays.asList(S)));
+		allvotes.put(partyP, new Votes(partyP, Collections.singleton(P)));
+		allvotes.put(partyQ, new Votes(partyQ, Collections.singleton(Q)));
+		allvotes.put(partyR, new Votes(partyR, Collections.singleton(R)));
+		allvotes.put(partyS, new Votes(partyS, Collections.singleton(S)));
 
 		CollectedVotes cv = new CollectedVotes(allvotes, allpowers);
@@ -277,7 +277,7 @@
 		Vote R = new Vote(partyR, bidA, 2, 3);
 		Map<PartyId, Votes> allvotes = new HashMap<>();
-		allvotes.put(partyP, new Votes(partyP, Arrays.asList(P)));
-		allvotes.put(partyQ, new Votes(partyQ, Arrays.asList(Q)));
-		allvotes.put(partyR, new Votes(partyR, Arrays.asList(R)));
+		allvotes.put(partyP, new Votes(partyP, Collections.singleton(P)));
+		allvotes.put(partyQ, new Votes(partyQ, Collections.singleton(Q)));
+		allvotes.put(partyR, new Votes(partyR, Collections.singleton(R)));
 
 		Map<PartyId, Integer> powers = new HashMap<PartyId, Integer>();
Index: voting/src/test/java/geniusweb/voting/votingevaluators/LargestAgreementsLoopTest.java
===================================================================
--- voting/src/test/java/geniusweb/voting/votingevaluators/LargestAgreementsLoopTest.java	(revision 25)
+++ voting/src/test/java/geniusweb/voting/votingevaluators/LargestAgreementsLoopTest.java	(revision 26)
@@ -74,12 +74,12 @@
 	@Test
 	public void testCollectVotes() {
-		Votes vote1AB = new Votes(party1, Arrays
-				.asList(new Vote(party1, a, 2, 9), new Vote(party1, b, 2, 9)));
-		Votes vote2AB = new Votes(party2, Arrays
-				.asList(new Vote(party2, a, 2, 9), new Vote(party2, b, 2, 9)));
+		Votes vote1AB = new Votes(party1, new HashSet<>(Arrays
+				.asList(new Vote(party1, a, 2, 9), new Vote(party1, b, 2, 9))));
+		Votes vote2AB = new Votes(party2, new HashSet<>(Arrays
+				.asList(new Vote(party2, a, 2, 9), new Vote(party2, b, 2, 9))));
 		Votes vote3C = new Votes(party3,
-				Arrays.asList(new Vote(party3, c, 2, 9)));
-		Votes vote4AC = new Votes(party4, Arrays
-				.asList(new Vote(party4, a, 2, 9), new Vote(party4, c, 2, 9)));
+				Collections.singleton(new Vote(party3, c, 2, 9)));
+		Votes vote4AC = new Votes(party4, new HashSet<>(Arrays
+				.asList(new Vote(party4, a, 2, 9), new Vote(party4, c, 2, 9))));
 		// party 1,2,4 vote for A, party 1,2 vote for B, party 3,4 vote for C.
 		// the biggest vote is P,Q,S
